#include <stdio.h>


int pecina(int N, int H[], int L)
{
    int i=1;
    while(i<=N)
    {
        if(L<H[i])
        {
            i++;
        }
        else
        {
            return i;
        }
    }
    return -1;
}


int main() {
    int N, L, i, p;

    scanf("%d %d", &N, &L);
    int H[N];

    for(i=1;i<=N;i++)
    {
        scanf("%d", &H[i]);
    }

    p = pecina(N,H,L);
    printf("%d", p);
}